/**
 * Builds a URL to the guild widget image stored in the Discord CDN.
 *
 * @param bot - The bot instance to use to build the URL.
 * @param guildId - The ID of the guild to get the link to the widget image for.
 * @param options - The parameters for the building of the URL.
 * @returns The link to the resource.
 */
export function getWidgetImageURL(bot, guildId, options) {
    return bot.constants.routes.GUILD_WIDGET_IMAGE(guildId, options?.style);
}
