import { ChannelTypes } from "../../deps.js";
import { requireBotChannelPermissions } from "../permissions.js";
export function deleteChannelPermissionOverride(bot) {
    const deleteChannelPermissionOverride = bot.helpers.deleteChannelPermissionOverride;
    bot.helpers.deleteChannelPermissionOverride = async function (channelId, overwriteId) {
        const channel = bot.channels.get(channelId);
        if (channel?.guildId) {
            const perms = ["VIEW_CHANNEL", "MANAGE_ROLES"];
            const isVoice = [ChannelTypes.GuildVoice, ChannelTypes.GuildStageVoice].includes(channel.type);
            if (isVoice)
                perms.push("CONNECT");
            requireBotChannelPermissions(bot, channelId, perms);
        }
        return await deleteChannelPermissionOverride(channelId, overwriteId);
    };
}
