import { ChannelTypes } from "../../deps.js";
import { requireBotChannelPermissions } from "../permissions.js";
export function editChannelPermissionOverrides(bot) {
    const editChannelPermissionOverrides = bot.helpers.editChannelPermissionOverrides;
    bot.helpers.editChannelPermissionOverrides = async function (channelId, overwrite) {
        const channel = bot.channels.get(channelId);
        if (channel?.guildId) {
            const perms = ["VIEW_CHANNEL", "MANAGE_ROLES"];
            const isVoice = [ChannelTypes.GuildVoice, ChannelTypes.GuildStageVoice].includes(channel.type);
            if (isVoice)
                perms.push("CONNECT");
            requireBotChannelPermissions(bot, channelId, perms);
        }
        return await editChannelPermissionOverrides(channelId, overwrite);
    };
}
