import { ChannelTypes } from "../../../deps.js";
import { requireBotChannelPermissions } from "../../permissions.js";
export function createForumThread(bot) {
    const createForumThread = bot.helpers.createForumThread;
    bot.helpers.createForumThread = async function (channelId, options) {
        const channel = bot.channels.get(channelId);
        if (channel && channel.type !== ChannelTypes.GuildForum) {
            throw new Error("Channel must be a forum channel");
        }
        requireBotChannelPermissions(bot, channelId, ["VIEW_CHANNEL", "SEND_MESSAGES"]);
        return await createForumThread(channelId, options);
    };
}
