import { ChannelTypes } from "../../deps.js";
import { requireBotChannelPermissions } from "../permissions.js";
export function getChannelWebhooks(bot) {
    const getChannelWebhooks = bot.helpers.getChannelWebhooks;
    bot.helpers.getChannelWebhooks = async function (channelId) {
        const channel = bot.channels.get(channelId);
        if (channel) {
            const isWebhookParent = [ChannelTypes.GuildAnnouncement, ChannelTypes.GuildText].includes(channel.type);
            if (!isWebhookParent) {
                throw new Error("Target channel must be a text channel or an announcement channel");
            }
            requireBotChannelPermissions(bot, channelId, ["VIEW_CHANNEL", "MANAGE_WEBHOOKS"]);
        }
        return await getChannelWebhooks(channelId);
    };
}
