import { ChannelTypes } from "../../../deps.js";
import { requireBotChannelPermissions } from "../../permissions.js";
export function createStageInstance(bot) {
    const createStageInstance = bot.helpers.createStageInstance;
    bot.helpers.createStageInstance = async function (options) {
        const channel = bot.channels.get(options.channelId);
        if (channel && channel.type !== ChannelTypes.GuildStageVoice) {
            throw new Error("Channel must be a stage voice channel");
        }
        const perms = ["VIEW_CHANNEL", "CONNECT", "MANAGE_CHANNELS", "MUTE_MEMBERS", "MOVE_MEMBERS"];
        if (options.sendStartNotification)
            perms.push("MENTION_EVERYONE");
        requireBotChannelPermissions(bot, options.channelId, perms);
        return await createStageInstance(options);
    };
}
