import { PresenceStatus } from "../../types/shared.js";
export const reverseStatusTypes = Object.freeze({
    0: "online",
    1: "dnd",
    2: "idle",
    4: "offline",
});
export function transformPresenceToDiscordPresence(bot, payload) {
    return {
        user: bot.transformers.reverse.user(bot, payload.user),
        guild_id: bot.transformers.reverse.snowflake(payload.guildId),
        // TODO: find better way
        status: (PresenceStatus[payload.status] ?? "offline"),
        activities: payload.activities.map((activity) => bot.transformers.reverse.activity(bot, activity)),
        client_status: {
            desktop: payload.desktop,
            mobile: payload.mobile,
            web: payload.web,
        },
    };
}
