"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getStageInstance = void 0;
/**
 * Gets the stage instance associated with a stage channel, if one exists.
 *
 * @param bot - The bot instance to use to make the request.
 * @param channelId - The ID of the stage channel the stage instance is associated with.
 * @returns An instance of {@link StageInstance}.
 *
 * @see {@link https://discord.com/developers/docs/resources/stage-instance#get-stage-instance}
 */
async function getStageInstance(bot, channelId) {
    const result = await bot.rest.runMethod(bot.rest, "GET", bot.constants.routes.STAGE_INSTANCE(channelId));
    return bot.transformers.stageInstance(bot, result);
}
exports.getStageInstance = getStageInstance;
