"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getThreadMember = void 0;
/**
 * Gets a thread member by their user ID.
 *
 * @param bot - The bot instance to use to make the request.
 * @param channelId - The ID of the thread to get the thread member of.
 * @param userId - The user ID of the thread member to get.
 * @returns An instance of {@link ThreadMember}.
 *
 * @see {@link https://discord.com/developers/docs/resources/channel#get-thread-member}
 */
async function getThreadMember(bot, channelId, userId) {
    const result = await bot.rest.runMethod(bot.rest, "GET", bot.constants.routes.THREAD_USER(channelId, userId));
    return bot.transformers.threadMember(bot, result);
}
exports.getThreadMember = getThreadMember;
