"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.joinThread = void 0;
/**
 * Adds the bot user to a thread.
 *
 * @param bot - The bot instance to use to make the request.
 * @param channelId - The ID of the thread to add the bot user to.
 *
 * @remarks
 * Requires the thread not be archived.
 *
 * Fires a _Thread Members Update_ gateway event.
 *
 * @see {@link https://discord.com/developers/docs/resources/channel#join-thread}
 */
async function joinThread(bot, channelId) {
    return await bot.rest.runMethod(bot.rest, "PUT", bot.constants.routes.THREAD_ME(channelId));
}
exports.joinThread = joinThread;
