"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.triggerTypingIndicator = exports.startTyping = void 0;
exports.startTyping = triggerTypingIndicator;
/**
 * Triggers a typing indicator for the bot user.
 *
 * @param bot - The bot instance to use to make the request.
 * @param channelId - The ID of the channel in which to trigger the typing indicator.
 *
 * @remarks
 * Generally, bots should _not_ use this route.
 *
 * Fires a _Typing Start_ gateway event.
 *
 * @see {@link https://discord.com/developers/docs/resources/channel#trigger-typing-indicator}
 */
async function triggerTypingIndicator(bot, channelId) {
    return await bot.rest.runMethod(bot.rest, "POST", bot.constants.routes.CHANNEL_TYPING(channelId));
}
exports.triggerTypingIndicator = triggerTypingIndicator;
