"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteEmoji = void 0;
/**
 * Deletes an emoji from a guild.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild from which to delete the emoji.
 * @param id - The ID of the emoji to delete.
 *
 * @remarks
 * Requires the `MANAGE_EMOJIS_AND_STICKERS` permission.
 *
 * Fires a _Guild Emojis Update_ gateway event.
 *
 * @see {@link https://discord.com/developers/docs/resources/emoji#delete-guild-emoji}
 */
async function deleteEmoji(bot, guildId, id, reason) {
    return await bot.rest.runMethod(bot.rest, "DELETE", bot.constants.routes.GUILD_EMOJI(guildId, id), {
        reason,
    });
}
exports.deleteEmoji = deleteEmoji;
