"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEmojiURL = void 0;
/**
 * Builds a URL to an emoji in the Discord CDN.
 *
 * @param emojiId - The ID of the emoji to access.
 * @param animated - Whether the emoji is animated or static.
 * @returns The link to the resource.
 */
function getEmojiURL(_bot, emojiId, animated = false) {
    return `https://cdn.discordapp.com/emojis/${emojiId}.${animated ? "gif" : "png"}`;
}
exports.getEmojiURL = getEmojiURL;
