"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteAutomodRule = void 0;
/**
 * Deletes an automod rule.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild to delete the rule from.
 * @param ruleId - The ID of the automod rule to delete.
 *
 * @remarks
 * Requires the `MANAGE_GUILD` permission.
 *
 * Fires an _Auto Moderation Rule Delete_ gateway event.
 *
 * @see {@link https://discord.com/developers/docs/resources/auto-moderation#delete-auto-moderation-rule}
 */
async function deleteAutomodRule(bot, guildId, ruleId, reason) {
    return await bot.rest.runMethod(bot.rest, "DELETE", bot.constants.routes.AUTOMOD_RULE(guildId, ruleId), { reason });
}
exports.deleteAutomodRule = deleteAutomodRule;
