"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGuildIconURL = void 0;
/**
 * Builds a URL to the guild icon stored in the Discord CDN.
 *
 * @param bot - The bot instance to use to build the URL.
 * @param guildId - The ID of the guild to get the link to the banner for.
 * @param options - The parameters for the building of the URL.
 * @returns The link to the resource or `undefined` if no banner has been set.
 */
function getGuildIconURL(bot, guildId, imageHash, options) {
    return imageHash
        ? bot.utils.formatImageURL(bot.constants.routes.GUILD_ICON(guildId, typeof imageHash === "string" ? imageHash : bot.utils.iconBigintToHash(imageHash)), options?.size || 128, options?.format)
        : undefined;
}
exports.getGuildIconURL = getGuildIconURL;
