"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getVanityUrl = void 0;
// TODO: Move `VanityUrl` into its own transformer file.
/**
 * Gets information about the vanity url of a guild.
 *
 * @param bot - The bot instance used to make the request
 * @param guildId - The ID of the guild to get the vanity url information for.
 * @returns An instance of {@link VanityUrl}.
 *
 * @remarks
 * Requires the `MANAGE_GUILD` permission.
 *
 * The `code` property will be `null` if the guild does not have a set vanity url.
 *
 * @see {@link https://discord.com/developers/docs/resources/guild#get-guild-vanity-url}
 */
async function getVanityUrl(bot, guildId) {
    return await bot.rest.runMethod(bot.rest, "GET", bot.constants.routes.GUILD_VANITY_URL(guildId));
}
exports.getVanityUrl = getVanityUrl;
