"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteInvite = void 0;
/**
 * Deletes an invite to a channel.
 *
 * @param bot - The bot instance to use to make the request.
 * @param inviteCode - The invite code of the invite to delete.
 *
 * @remarks
 * Requires the `MANAGE_CHANNELS` permission.
 *
 * Fires an _Invite Delete_ gateway event.
 *
 * @see {@link https://discord.com/developers/docs/resources/channel#delete-channel-invite}
 */
async function deleteInvite(bot, inviteCode, reason) {
    return await bot.rest.runMethod(bot.rest, "DELETE", bot.constants.routes.INVITE(inviteCode), reason ? { reason } : undefined);
}
exports.deleteInvite = deleteInvite;
