"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.leaveGuild = void 0;
/**
 * Leaves a guild.
 *
 * @param bot - The bot instance used to make the request
 * @param guildId - The ID of the guild to leave.
 *
 * @remarks
 * Fires a _Guild Delete_ event.
 *
 * @see {@link https://discord.com/developers/docs/resources/user#leave-guild}
 */
async function leaveGuild(bot, guildId) {
    return await bot.rest.runMethod(bot.rest, "DELETE", bot.constants.routes.GUILD_LEAVE(guildId));
}
exports.leaveGuild = leaveGuild;
