"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAvailableVoiceRegions = void 0;
const collection_js_1 = require("../../../util/collection.js");
/**
 * Gets the list of available voice regions.
 *
 * @param bot - The bot instance to use to make the request.
 * @returns A collection of {@link VoiceRegions | VoiceRegion} objects assorted by voice region ID.
 */
async function getAvailableVoiceRegions(bot) {
    const results = await bot.rest.runMethod(bot.rest, "GET", bot.constants.routes.VOICE_REGIONS());
    return new collection_js_1.Collection(results.map((result) => {
        const region = bot.transformers.voiceRegion(bot, result);
        return [region.id, region];
    }));
}
exports.getAvailableVoiceRegions = getAvailableVoiceRegions;
