"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWidget = void 0;
/**
 * Gets the guild widget by guild ID.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild to get the widget of.
 * @returns An instance of {@link GuildWidget}.
 *
 * @see {@link https://discord.com/developers/docs/resources/guild#get-guild-widget}
 */
async function getWidget(bot, guildId) {
    const result = await bot.rest.runMethod(bot.rest, "GET", bot.constants.routes.GUILD_WIDGET_JSON(guildId));
    return bot.transformers.widget(bot, result);
}
exports.getWidget = getWidget;
