"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.editGlobalApplicationCommand = void 0;
/**
 * Edits a global application command.
 *
 * @param bot - The bot instance to use to make the request.
 * @param commandId - The ID of the command to edit.
 * @param options - The parameters for the edit of the command.
 * @returns An instance of the edited {@link ApplicationCommand}.
 *
 * @see {@link https://discord.com/developers/docs/interactions/application-commands#edit-global-application-command}
 */
async function editGlobalApplicationCommand(bot, commandId, options) {
    const result = await bot.rest.runMethod(bot.rest, "PATCH", bot.constants.routes.COMMANDS_ID(bot.applicationId, commandId), bot.transformers.reverse.createApplicationCommand(bot, options));
    return bot.transformers.applicationCommand(bot, result);
}
exports.editGlobalApplicationCommand = editGlobalApplicationCommand;
