"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.editGuildApplicationCommand = void 0;
// TODO: Swap `commandId` and `guildId` parameters.
/**
 * Edits an application command registered in a guild.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild the command is registered in.
 * @param commandId - The ID of the command to edit.
 * @param options - The parameters for the edit of the command.
 * @returns An instance of the edited {@link ApplicationCommand}.
 *
 * @see {@link https://discord.com/developers/docs/interactions/application-commands#edit-guild-application-command}
 */
async function editGuildApplicationCommand(bot, commandId, guildId, options) {
    const result = await bot.rest.runMethod(bot.rest, "PATCH", bot.constants.routes.COMMANDS_GUILD_ID(bot.applicationId, guildId, commandId), bot.transformers.reverse.createApplicationCommand(bot, options));
    return bot.transformers.applicationCommand(bot, result);
}
exports.editGuildApplicationCommand = editGuildApplicationCommand;
