"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getApplicationCommandPermission = void 0;
/**
 * Gets the permissions of a guild application command.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild the command is registered in.
 * @param commandId - The ID of the command to get the permissions of.
 * @returns An instance of {@link ApplicationCommandPermission}.
 *
 * @see {@link https://discord.com/developers/docs/interactions/application-commands#get-application-command-permissions}
 */
async function getApplicationCommandPermission(bot, guildId, commandId) {
    const result = await bot.rest.runMethod(bot.rest, "GET", bot.constants.routes.COMMANDS_PERMISSION(bot.applicationId, guildId, commandId));
    return bot.transformers.applicationCommandPermission(bot, result);
}
exports.getApplicationCommandPermission = getApplicationCommandPermission;
