"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGlobalApplicationCommand = void 0;
/**
 * Gets a global application command by its ID.
 *
 * @param bot - The bot instance to use to make the request.
 * @param commandId - The ID of the command to get.
 * @returns An instance of {@link ApplicationCommand}.
 *
 * @see {@link https://discord.com/developers/docs/interactions/application-commands#get-global-application-command}
 */
async function getGlobalApplicationCommand(bot, commandId) {
    const result = await bot.rest.runMethod(bot.rest, "GET", bot.constants.routes.COMMANDS_ID(bot.applicationId, commandId));
    return bot.transformers.applicationCommand(bot, result);
}
exports.getGlobalApplicationCommand = getGlobalApplicationCommand;
