"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteReactionsAll = void 0;
/**
 * Deletes all reactions for all emojis from a message.
 *
 * @param bot - The bot instance to use to make the request.
 * @param channelId - The ID of the channel the message to delete the reactions from is in.
 * @param messageId - The ID of the message to delete the reactions from.
 *
 * @remarks
 * Requires the `READ_MESSAGE_HISTORY` permission.
 *
 * Requires the `MANAGE_MESSAGES` permission.
 *
 * Fires a _Message Reaction Remove All_ gateway event.
 *
 * @see {@link https://discord.com/developers/docs/resources/channel#delete-all-reactions}
 */
async function deleteReactionsAll(bot, channelId, messageId) {
    return await bot.rest.runMethod(bot.rest, "DELETE", bot.constants.routes.CHANNEL_MESSAGE_REACTIONS(channelId, messageId));
}
exports.deleteReactionsAll = deleteReactionsAll;
