"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getGuildTemplate = void 0;
/**
 * Gets a template by its code.
 *
 * @param bot - The bot instance to use to make the request.
 * @param templateCode - The code of the template to get.
 * @returns An instance of {@link Template}.
 *
 * @remarks
 * Requires the `MANAGE_GUILD` permission.
 *
 * @see {@link https://discord.com/developers/docs/resources/guild-template#get-guild-template}
 */
async function getGuildTemplate(bot, templateCode) {
    const result = await bot.rest.runMethod(bot.rest, "GET", bot.constants.routes.TEMPLATE(templateCode));
    return bot.transformers.template(bot, result);
}
exports.getGuildTemplate = getGuildTemplate;
