"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.syncGuildTemplate = void 0;
/**
 * Synchronises a template with the current state of a guild.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild to synchronise a template of.
 * @returns An instance of the edited {@link Template}.
 *
 * @remarks
 * Requires the `MANAGE_GUILD` permission.
 *
 * Fires a _Guild Update_ gateway event.
 *
 * @see {@link https://discord.com/developers/docs/resources/guild-template#get-guild-templates}
 */
async function syncGuildTemplate(bot, guildId, templateCode) {
    const result = await bot.rest.runMethod(bot.rest, "PUT", bot.constants.routes.GUILD_TEMPLATE(guildId, templateCode));
    return bot.transformers.template(bot, result);
}
exports.syncGuildTemplate = syncGuildTemplate;
