"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteWebhook = void 0;
/**
 * Deletes a webhook.
 *
 * @param bot - The bot instance to use to make the request.
 * @param webhookId - The ID of the webhook to delete.
 *
 * @remarks
 * Requires the `MANAGE_WEBHOOKS` permission.
 *
 * Fires a _Webhooks Update_ gateway event.
 *
 * @see {@link https://discord.com/developers/docs/resources/webhook#delete-webhook}
 */
async function deleteWebhook(bot, webhookId, reason) {
    return await bot.rest.runMethod(bot.rest, "DELETE", bot.constants.routes.WEBHOOK_ID(webhookId), { reason });
}
exports.deleteWebhook = deleteWebhook;
