"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWebhook = void 0;
/**
 * Gets a webhook by its ID.
 *
 * @param bot - The bot instance to use to make the request.
 * @param webhookId - The ID of the webhook to get.
 * @returns An instance of {@link Webhook}.
 *
 * @remarks
 * Requires the `MANAGE_WEBHOOKS` permission.
 *
 * @see {@link https://discord.com/developers/docs/resources/webhook#get-webhook}
 */
async function getWebhook(bot, webhookId) {
    const result = await bot.rest.runMethod(bot.rest, "GET", bot.constants.routes.WEBHOOK_ID(webhookId));
    return bot.transformers.webhook(bot, result);
}
exports.getWebhook = getWebhook;
