"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.editChannelPermissionOverrides = void 0;
const deps_js_1 = require("../../deps.js");
const permissions_js_1 = require("../permissions.js");
function editChannelPermissionOverrides(bot) {
    const editChannelPermissionOverrides = bot.helpers.editChannelPermissionOverrides;
    bot.helpers.editChannelPermissionOverrides = async function (channelId, overwrite) {
        const channel = bot.channels.get(channelId);
        if (channel?.guildId) {
            const perms = ["VIEW_CHANNEL", "MANAGE_ROLES"];
            const isVoice = [deps_js_1.ChannelTypes.GuildVoice, deps_js_1.ChannelTypes.GuildStageVoice].includes(channel.type);
            if (isVoice)
                perms.push("CONNECT");
            (0, permissions_js_1.requireBotChannelPermissions)(bot, channelId, perms);
        }
        return await editChannelPermissionOverrides(channelId, overwrite);
    };
}
exports.editChannelPermissionOverrides = editChannelPermissionOverrides;
