"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.followAnnouncementChannel = void 0;
const deps_js_1 = require("../../deps.js");
const permissions_js_1 = require("../permissions.js");
function followAnnouncementChannel(bot) {
    const followAnnouncementChannel = bot.helpers.followAnnouncementChannel;
    bot.helpers.followAnnouncementChannel = async function (sourceChannelId, targetChannelId) {
        const sourceChannel = bot.channels.get(sourceChannelId);
        if (sourceChannel && sourceChannel.type !== deps_js_1.ChannelTypes.GuildAnnouncement) {
            throw new Error("Source channel must be an announcement channel");
        }
        const targetChannel = bot.channels.get(targetChannelId);
        if (targetChannel) {
            const isWebhookParent = [deps_js_1.ChannelTypes.GuildAnnouncement, deps_js_1.ChannelTypes.GuildText].includes(targetChannel.type);
            if (!isWebhookParent) {
                throw new Error("Target channel must be a text channel or an announcement channel");
            }
        }
        (0, permissions_js_1.requireBotChannelPermissions)(bot, sourceChannelId, ["VIEW_CHANNEL"]);
        (0, permissions_js_1.requireBotChannelPermissions)(bot, targetChannelId, ["VIEW_CHANNEL", "MANAGE_WEBHOOKS"]);
        return await followAnnouncementChannel(sourceChannelId, targetChannelId);
    };
}
exports.followAnnouncementChannel = followAnnouncementChannel;
