"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createForumThread = void 0;
const deps_js_1 = require("../../../deps.js");
const permissions_js_1 = require("../../permissions.js");
function createForumThread(bot) {
    const createForumThread = bot.helpers.createForumThread;
    bot.helpers.createForumThread = async function (channelId, options) {
        const channel = bot.channels.get(channelId);
        if (channel && channel.type !== deps_js_1.ChannelTypes.GuildForum) {
            throw new Error("Channel must be a forum channel");
        }
        (0, permissions_js_1.requireBotChannelPermissions)(bot, channelId, ["VIEW_CHANNEL", "SEND_MESSAGES"]);
        return await createForumThread(channelId, options);
    };
}
exports.createForumThread = createForumThread;
