"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getChannelWebhooks = void 0;
const deps_js_1 = require("../../deps.js");
const permissions_js_1 = require("../permissions.js");
function getChannelWebhooks(bot) {
    const getChannelWebhooks = bot.helpers.getChannelWebhooks;
    bot.helpers.getChannelWebhooks = async function (channelId) {
        const channel = bot.channels.get(channelId);
        if (channel) {
            const isWebhookParent = [deps_js_1.ChannelTypes.GuildAnnouncement, deps_js_1.ChannelTypes.GuildText].includes(channel.type);
            if (!isWebhookParent) {
                throw new Error("Target channel must be a text channel or an announcement channel");
            }
            (0, permissions_js_1.requireBotChannelPermissions)(bot, channelId, ["VIEW_CHANNEL", "MANAGE_WEBHOOKS"]);
        }
        return await getChannelWebhooks(channelId);
    };
}
exports.getChannelWebhooks = getChannelWebhooks;
