"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createStageInstance = void 0;
const deps_js_1 = require("../../../deps.js");
const permissions_js_1 = require("../../permissions.js");
function createStageInstance(bot) {
    const createStageInstance = bot.helpers.createStageInstance;
    bot.helpers.createStageInstance = async function (options) {
        const channel = bot.channels.get(options.channelId);
        if (channel && channel.type !== deps_js_1.ChannelTypes.GuildStageVoice) {
            throw new Error("Channel must be a stage voice channel");
        }
        const perms = ["VIEW_CHANNEL", "CONNECT", "MANAGE_CHANNELS", "MUTE_MEMBERS", "MOVE_MEMBERS"];
        if (options.sendStartNotification)
            perms.push("MENTION_EVERYONE");
        (0, permissions_js_1.requireBotChannelPermissions)(bot, options.channelId, perms);
        return await createStageInstance(options);
    };
}
exports.createStageInstance = createStageInstance;
