"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.editStageInstance = void 0;
const deps_js_1 = require("../../../deps.js");
const permissions_js_1 = require("../../permissions.js");
function editStageInstance(bot) {
    const editStageInstance = bot.helpers.editStageInstance;
    bot.helpers.editStageInstance = async function (channelId, data) {
        const channel = bot.channels.get(channelId);
        if (channel && channel.type !== deps_js_1.ChannelTypes.GuildStageVoice) {
            throw new Error("Channel must be a stage voice channel");
        }
        (0, permissions_js_1.requireBotChannelPermissions)(bot, channelId, [
            "VIEW_CHANNEL",
            "CONNECT",
            "MANAGE_CHANNELS",
            "MUTE_MEMBERS",
            "MOVE_MEMBERS",
        ]);
        return await editStageInstance(channelId, data);
    };
}
exports.editStageInstance = editStageInstance;
