"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.swapChannels = void 0;
const deps_js_1 = require("../../deps.js");
const permissions_js_1 = require("../permissions.js");
function swapChannels(bot) {
    const swapChannels = bot.helpers.swapChannels;
    bot.helpers.swapChannels = async function (guildId, channelPositions) {
        for (const channelPosition of channelPositions) {
            const channel = bot.channels.get(BigInt(channelPosition.id));
            if (channel) {
                const perms = ["VIEW_CHANNEL", "MANAGE_CHANNELS"];
                const isVoice = [deps_js_1.ChannelTypes.GuildVoice, deps_js_1.ChannelTypes.GuildStageVoice].includes(channel.type);
                if (isVoice)
                    perms.push("CONNECT");
                (0, permissions_js_1.requireBotChannelPermissions)(bot, BigInt(channelPosition.id), perms);
            }
        }
        return await swapChannels(guildId, channelPositions);
    };
}
exports.swapChannels = swapChannels;
