"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addThreadMember = void 0;
const deps_js_1 = require("../../../deps.js");
const permissions_js_1 = require("../../permissions.js");
function addThreadMember(bot) {
    const addThreadMember = bot.helpers.addThreadMember;
    bot.helpers.addThreadMember = async function (threadId, userId) {
        const channel = bot.channels.get(threadId);
        if (channel) {
            const isThread = ![deps_js_1.ChannelTypes.PublicThread, deps_js_1.ChannelTypes.PrivateThread, deps_js_1.ChannelTypes.AnnouncementThread]
                .includes(channel.type);
            if (isThread)
                throw new Error("Channel must be a thread channel");
            if (channel.archived)
                throw new Error("Cannot add user to thread if thread is archived.");
            (0, permissions_js_1.requireBotChannelPermissions)(bot, channel, ["VIEW_CHANNEL", "SEND_MESSAGES"]);
        }
        return await addThreadMember(threadId, userId);
    };
}
exports.addThreadMember = addThreadMember;
