"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPublicArchivedThreads = void 0;
const deps_js_1 = require("../../../deps.js");
const permissions_js_1 = require("../../permissions.js");
function getPublicArchivedThreads(bot) {
    const getPublicArchivedThreads = bot.helpers.getPublicArchivedThreads;
    bot.helpers.getPublicArchivedThreads = async function (channelId, options) {
        const channel = bot.channels.get(channelId);
        if (channel) {
            const isThreadParent = [deps_js_1.ChannelTypes.GuildText, deps_js_1.ChannelTypes.GuildAnnouncement, deps_js_1.ChannelTypes.GuildForum]
                .includes(channel.type);
            if (!isThreadParent) {
                throw new Error("Channel must be a text channel, a forum channel, or an announcement channel");
            }
        }
        (0, permissions_js_1.requireBotChannelPermissions)(bot, channelId, ["VIEW_CHANNEL", "READ_MESSAGE_HISTORY"]);
        return await getPublicArchivedThreads(channelId, options);
    };
}
exports.getPublicArchivedThreads = getPublicArchivedThreads;
