"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.joinThread = void 0;
const deps_js_1 = require("../../../deps.js");
const permissions_js_1 = require("../../permissions.js");
function joinThread(bot) {
    const joinThread = bot.helpers.joinThread;
    bot.helpers.joinThread = async function (threadId) {
        const channel = bot.channels.get(threadId);
        if (channel) {
            const isThread = ![deps_js_1.ChannelTypes.PublicThread, deps_js_1.ChannelTypes.PrivateThread, deps_js_1.ChannelTypes.AnnouncementThread]
                .includes(channel.type);
            if (isThread)
                throw new Error("Channel must be a thread channel");
            if (channel.archived)
                throw new Error("You can not join an archived channel.");
        }
        (0, permissions_js_1.requireBotChannelPermissions)(bot, threadId, ["VIEW_CHANNEL"]);
        return await joinThread(threadId);
    };
}
exports.joinThread = joinThread;
