"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.leaveThread = void 0;
const deps_js_1 = require("../../../deps.js");
const permissions_js_1 = require("../../permissions.js");
function leaveThread(bot) {
    const leaveThread = bot.helpers.leaveThread;
    bot.helpers.leaveThread = async function (threadId) {
        const channel = bot.channels.get(threadId);
        if (channel) {
            const isThread = ![deps_js_1.ChannelTypes.PublicThread, deps_js_1.ChannelTypes.PrivateThread, deps_js_1.ChannelTypes.AnnouncementThread]
                .includes(channel.type);
            if (isThread)
                throw new Error("Channel must be a thread channel");
            if (channel.archived)
                throw new Error("You can not leave an archived channel.");
        }
        (0, permissions_js_1.requireBotChannelPermissions)(bot, threadId, ["VIEW_CHANNEL"]);
        return await leaveThread(threadId);
    };
}
exports.leaveThread = leaveThread;
