"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeThreadMember = void 0;
const deps_js_1 = require("../../../deps.js");
const permissions_js_1 = require("../../permissions.js");
function removeThreadMember(bot) {
    const removeThreadMember = bot.helpers.removeThreadMember;
    bot.helpers.removeThreadMember = async function (threadId, userId) {
        const channel = bot.channels.get(threadId);
        if (channel) {
            const isThread = ![deps_js_1.ChannelTypes.PublicThread, deps_js_1.ChannelTypes.PrivateThread, deps_js_1.ChannelTypes.AnnouncementThread]
                .includes(channel.type);
            if (isThread)
                throw new Error("Channel must be a thread channel");
            if (channel.archived)
                throw new Error("Cannot remove user from thread if thread is archived.");
            if (!(bot.id === channel.ownerId && channel.type === deps_js_1.ChannelTypes.PrivateThread)) {
                (0, permissions_js_1.requireBotChannelPermissions)(bot, channel, ["VIEW_CHANNEL", "MANAGE_MESSAGES"]);
            }
        }
        return await removeThreadMember(threadId, userId);
    };
}
exports.removeThreadMember = removeThreadMember;
