"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAutomodRule = void 0;
const deps_js_1 = require("../../../deps.js");
const permissions_js_1 = require("../../permissions.js");
function createAutomodRule(bot) {
    const createAutomodRule = bot.helpers.createAutomodRule;
    bot.helpers.createAutomodRule = async function (guildId, options) {
        (0, permissions_js_1.requireBotGuildPermissions)(bot, guildId, ["MANAGE_GUILD"]);
        for (const action of options.actions) {
            // Check for maximum duration seconds
            if (action.metadata?.durationSeconds && action.metadata.durationSeconds > 2419200) {
                console.log(`[Warning] Automod action duration seconds is too high: ${action.metadata.durationSeconds}. Setting to Discord's allowed maximum.`);
                // Discords max is 4 weeks
                action.metadata.durationSeconds = 2419200;
            }
            // Timeout actions require perm check
            if (action.type === deps_js_1.AutoModerationActionType.Timeout) {
                (0, permissions_js_1.requireBotGuildPermissions)(bot, guildId, ["MODERATE_MEMBERS"]);
            }
        }
        return await createAutomodRule(guildId, options);
    };
}
exports.createAutomodRule = createAutomodRule;
