"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.editMember = void 0;
const permissions_js_1 = require("../permissions.js");
function editMember(bot) {
    const editMember = bot.helpers.editMember;
    bot.helpers.editMember = async function (guildId, memberId, options) {
        const requiredPerms = [];
        if (options.nick)
            requiredPerms.push("MANAGE_NICKNAMES");
        if (options.roles)
            requiredPerms.push("MANAGE_ROLES");
        if (options.mute !== undefined || options.deaf !== undefined ||
            options.channelId !== undefined) {
            const memberVoiceState = (bot.guilds.get(guildId))
                ?.voiceStates.get(memberId);
            if (!memberVoiceState?.channelId)
                throw new Error("MEMBER_NOT_IN_VOICE_CHANNEL");
            if (options.mute !== undefined)
                requiredPerms.push("MUTE_MEMBERS");
            if (options.deaf !== undefined)
                requiredPerms.push("DEAFEN_MEMBERS");
            if (options.channelId) {
                const requiredVoicePerms = ["CONNECT", "MOVE_MEMBERS"];
                if (memberVoiceState)
                    (0, permissions_js_1.requireBotChannelPermissions)(bot, memberVoiceState?.channelId, requiredVoicePerms);
                (0, permissions_js_1.requireBotChannelPermissions)(bot, options.channelId, requiredVoicePerms);
            }
        }
        (0, permissions_js_1.requireBotGuildPermissions)(bot, guildId, requiredPerms);
        return await editMember(guildId, memberId, options);
    };
}
exports.editMember = editMember;
