"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteMessages = void 0;
const permissions_js_1 = require("../permissions.js");
function deleteMessages(bot) {
    const deleteMessages = bot.helpers.deleteMessages;
    bot.helpers.deleteMessages = async function (channelId, ids, reason) {
        const channel = bot.channels.get(channelId);
        if (!channel?.guildId) {
            throw new Error(`Bulk deleting messages is only allowed in channels which has a guild id. Channel ID: ${channelId} IDS: ${ids.join(" ")}`);
        }
        (0, permissions_js_1.requireBotChannelPermissions)(bot, channel, ["MANAGE_MESSAGES"]);
        return await deleteMessages(channelId, ids, reason);
    };
}
exports.deleteMessages = deleteMessages;
