"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendMessage = void 0;
const deps_js_1 = require("../../deps.js");
const permissions_js_1 = require("../permissions.js");
function sendMessage(bot) {
    const sendMessage = bot.helpers.sendMessage;
    bot.helpers.sendMessage = async function (channelId, content) {
        const channel = bot.channels.get(channelId);
        if (channel &&
            [deps_js_1.ChannelTypes.GuildCategory, deps_js_1.ChannelTypes.GuildStageVoice, deps_js_1.ChannelTypes.GuildForum].includes(channel.type)) {
            throw new Error(`Can not send message to a channel of this type. Channel ID: ${channelId}`);
        }
        if (channel) {
            const requiredPerms = [];
            if (channel.guildId)
                requiredPerms.push("SEND_MESSAGES");
            if (content.tts)
                requiredPerms.push("SEND_TTS_MESSAGES");
            if (content.messageReference)
                requiredPerms.push("READ_MESSAGE_HISTORY");
            if (requiredPerms.length)
                (0, permissions_js_1.requireBotChannelPermissions)(bot, channel, requiredPerms);
        }
        return await sendMessage(channelId, content);
    };
}
exports.sendMessage = sendMessage;
