"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addRole = void 0;
const permissions_js_1 = require("../permissions.js");
function addRole(bot) {
    const addRole = bot.helpers.addRole;
    bot.helpers.addRole = async function (guildId, memberId, roleId, reason) {
        const guild = bot.guilds.get(guildId);
        if (guild) {
            const role = guild.roles.get(roleId);
            if (role) {
                const botRole = (0, permissions_js_1.highestRole)(bot, guild, bot.id);
                if (!(0, permissions_js_1.higherRolePosition)(bot, guild, botRole.id, role.id)) {
                    throw new Error(`The bot can not add this role to the member because it does not have a role higher than the role ID: ${role.id}.`);
                }
            }
            (0, permissions_js_1.requireBotGuildPermissions)(bot, guild, ["MANAGE_ROLES"]);
        }
        return await addRole(guildId, memberId, roleId, reason);
    };
}
exports.addRole = addRole;
