"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createScheduledEvent = void 0;
const deps_js_1 = require("../../../deps.js");
function createScheduledEvent(bot) {
    const createScheduledEvent = bot.helpers.createScheduledEvent;
    bot.helpers.createScheduledEvent = function (guildId, options) {
        if (options.entityType === deps_js_1.ScheduledEventEntityType.StageInstance) {
            if (!options.channelId) {
                throw new Error("A channel id is required for creating a stage scheduled event.");
            }
            return createScheduledEvent(guildId, options);
        }
        if (options.entityType === deps_js_1.ScheduledEventEntityType.Voice) {
            if (!options.channelId) {
                throw new Error("A channel id is required for creating a voice scheduled event.");
            }
        }
        return createScheduledEvent(guildId, options);
    };
}
exports.createScheduledEvent = createScheduledEvent;
