"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformApplicationCommandToDiscordApplicationCommand = void 0;
function transformApplicationCommandToDiscordApplicationCommand(bot, payload) {
    return {
        id: bot.transformers.reverse.snowflake(payload.id),
        type: payload.type,
        application_id: bot.transformers.reverse.snowflake(payload.applicationId),
        guild_id: payload.guildId ? bot.transformers.reverse.snowflake(payload.guildId) : undefined,
        name: payload.name,
        name_localizations: payload.nameLocalizations,
        description: payload.description,
        description_localizations: payload.descriptionLocalizations,
        options: payload.options?.map((option) => bot.transformers.applicationCommandOption(bot, option)),
        default_member_permissions: payload.defaultMemberPermissions
            ? bot.transformers.reverse.snowflake(payload.defaultMemberPermissions)
            : null,
        dm_permission: payload.dmPermission,
        version: payload.version,
    };
}
exports.transformApplicationCommandToDiscordApplicationCommand = transformApplicationCommandToDiscordApplicationCommand;
