"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformPresenceToDiscordPresence = exports.reverseStatusTypes = void 0;
const shared_js_1 = require("../../types/shared.js");
exports.reverseStatusTypes = Object.freeze({
    0: "online",
    1: "dnd",
    2: "idle",
    4: "offline",
});
function transformPresenceToDiscordPresence(bot, payload) {
    return {
        user: bot.transformers.reverse.user(bot, payload.user),
        guild_id: bot.transformers.reverse.snowflake(payload.guildId),
        // TODO: find better way
        status: (shared_js_1.PresenceStatus[payload.status] ?? "offline"),
        activities: payload.activities.map((activity) => bot.transformers.reverse.activity(bot, activity)),
        client_status: {
            desktop: payload.desktop,
            mobile: payload.mobile,
            web: payload.web,
        },
    };
}
exports.transformPresenceToDiscordPresence = transformPresenceToDiscordPresence;
