import type { Bot } from "../../../bot.js";
import { BigString, WithReason } from "../../../mod.js";
import { StageInstance } from "../../../transformers/stageInstance.js";
/**
 * Edits a stage instance.
 *
 * @param bot - The bot instance to use to make the request.
 * @param channelId - The ID of the stage channel the stage instance is associated with.
 * @returns An instance of the updated {@link StageInstance}.
 *
 * @remarks
 * Requires the user to be a moderator of the stage channel.
 *
 * Fires a _Stage Instance Update_ event.
 *
 * @see {@link https://discord.com/developers/docs/resources/stage-instance#modify-stage-instance}
 */
export declare function editStageInstance(bot: Bot, channelId: BigString, data: EditStageInstanceOptions): Promise<StageInstance>;
export interface EditStageInstanceOptions extends WithReason {
    /** The topic of the Stage instance (1-120 characters) */
    topic: string;
}
