import type { Bot } from "../../../bot.js";
import { StageInstance } from "../../../transformers/stageInstance.js";
import { BigString } from "../../../types/shared.js";
/**
 * Gets the stage instance associated with a stage channel, if one exists.
 *
 * @param bot - The bot instance to use to make the request.
 * @param channelId - The ID of the stage channel the stage instance is associated with.
 * @returns An instance of {@link StageInstance}.
 *
 * @see {@link https://discord.com/developers/docs/resources/stage-instance#get-stage-instance}
 */
export declare function getStageInstance(bot: Bot, channelId: BigString): Promise<StageInstance>;
