import type { Bot } from "../../bot.js";
import { BigString } from "../../types/shared.js";
export declare const startTyping: typeof triggerTypingIndicator;
/**
 * Triggers a typing indicator for the bot user.
 *
 * @param bot - The bot instance to use to make the request.
 * @param channelId - The ID of the channel in which to trigger the typing indicator.
 *
 * @remarks
 * Generally, bots should _not_ use this route.
 *
 * Fires a _Typing Start_ gateway event.
 *
 * @see {@link https://discord.com/developers/docs/resources/channel#trigger-typing-indicator}
 */
export declare function triggerTypingIndicator(bot: Bot, channelId: BigString): Promise<void>;
