import type { Bot } from "../../bot.js";
import { Emoji } from "../../transformers/emoji.js";
import { BigString } from "../../types/shared.js";
import { Collection } from "../../util/collection.js";
/**
 * Gets the list of emojis for a guild.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild which to get the emojis of.
 * @returns A collection of {@link Emoji} objects assorted by emoji ID.
 *
 * @see {@link https://discord.com/developers/docs/resources/emoji#list-guild-emojis}
 */
export declare function getEmojis(bot: Bot, guildId: BigString): Promise<Collection<bigint, Emoji>>;
