import { Bot } from "../../../bot.js";
import { AutoModerationRule } from "../../../transformers/automodRule.js";
import { BigString } from "../../../types/shared.js";
/**
 * Gets an automod rule by its ID.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild to get the rule of.
 * @param ruleId - The ID of the rule to get.
 * @returns An instance of {@link AutoModerationRule}.
 *
 * @remarks
 * Requires the `MANAGE_GUILD` permission.
 *
 * @see {@link https://discord.com/developers/docs/resources/auto-moderation#get-auto-moderation-rule}
 */
export declare function getAutomodRule(bot: Bot, guildId: BigString, ruleId: BigString): Promise<AutoModerationRule>;
