import type { Bot } from "../../bot.js";
import { User } from "../../transformers/member.js";
import { BigString } from "../../types/shared.js";
export declare type Ban = {
    reason?: string;
    user: User;
};
/**
 * Gets a ban by user ID.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild to get the ban from.
 * @param userId - The ID of the user to get the ban for.
 * @returns An instance of {@link Ban}.
 *
 * @remarks
 * Requires the `BAN_MEMBERS` permission.
 *
 * @see {@link https://discord.com/developers/docs/resources/guild#get-guild-ban}
 */
export declare function getBan(bot: Bot, guildId: BigString, userId: BigString): Promise<Ban>;
