import type { Bot } from "../../bot.js";
import { Guild } from "../../transformers/guild.js";
import { BigString } from "../../types/shared.js";
/**
 * Gets a guild by its ID.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild to get.
 * @param options - The parameters for the fetching of the guild.
 * @returns An instance of {@link Guild}.
 *
 * @see {@link https://discord.com/developers/docs/resources/guild#get-guild}
 */
export declare function getGuild(bot: Bot, guildId: BigString, options?: {
    counts?: boolean;
}): Promise<Guild>;
