import type { Bot } from "../../bot.js";
import { Emoji } from "../../transformers/emoji.js";
import { Sticker } from "../../transformers/sticker.js";
import { BigString, GuildFeatures } from "../../types/shared.js";
export declare type GuildPreview = {
    id: BigString;
    name?: string;
    icon?: string;
    splash?: string;
    discoverySplash?: string;
    emojis?: Emoji[];
    features: GuildFeatures[];
    approximateMemberCount: number;
    approximatePresenceCount: number;
    description?: string;
    stickers: Sticker[];
};
/**
 * Gets the preview of a guild by a guild's ID.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild to get the preview of.
 * @returns An instance of {@link GuildPreview}.
 *
 * @remarks
 * If the bot user is not in the guild, the guild must be lurkable.
 *
 * @see {@link https://discord.com/developers/docs/resources/guild#get-guild-preview}
 */
export declare function getGuildPreview(bot: Bot, guildId: BigString): Promise<GuildPreview>;
