import type { Bot } from "../../bot.js";
import { BigString } from "../../types/shared.js";
import { ImageFormat, ImageSize } from "../members/getAvatarUrl.js";
/**
 * Builds the URL to a guild splash stored in the Discord CDN.
 *
 * @param bot - The bot instance to use to build the URL.
 * @param guildId - The ID of the guild to get the splash of.
 * @param imageHash - The hash identifying the splash image.
 * @param options - The parameters for the building of the URL.
 * @returns The link to the resource or `undefined` if the guild does not have a splash image set.
 */
export declare function getGuildSplashURL(bot: Bot, guildId: BigString, imageHash: BigString | undefined, options?: {
    size?: ImageSize;
    format?: ImageFormat;
}): string | undefined;
