import type { Bot } from "../../../bot.js";
import { Integration } from "../../../transformers/integration.js";
import { BigString } from "../../../types/shared.js";
import { Collection } from "../../../util/collection.js";
/**
 * Gets the list of integrations attached to a guild.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild to get the list of integrations from.
 * @returns A collection of {@link Integration} objects assorted by integration ID.
 *
 * @remarks
 * Requires the `MANAGE_GUILD` permission.
 *
 * @see {@link https://discord.com/developers/docs/resources/guild#get-guild-integrations}
 */
export declare function getIntegrations(bot: Bot, guildId: BigString): Promise<Collection<bigint, Integration>>;
