import type { Bot } from "../../../bot.js";
/**
 * Deletes an invite to a channel.
 *
 * @param bot - The bot instance to use to make the request.
 * @param inviteCode - The invite code of the invite to delete.
 *
 * @remarks
 * Requires the `MANAGE_CHANNELS` permission.
 *
 * Fires an _Invite Delete_ gateway event.
 *
 * @see {@link https://discord.com/developers/docs/resources/channel#delete-channel-invite}
 */
export declare function deleteInvite(bot: Bot, inviteCode: string, reason?: string): Promise<void>;
