import type { Bot } from "../../bot.js";
import { BigString } from "../../types/shared.js";
/**
 * Leaves a guild.
 *
 * @param bot - The bot instance used to make the request
 * @param guildId - The ID of the guild to leave.
 *
 * @remarks
 * Fires a _Guild Delete_ event.
 *
 * @see {@link https://discord.com/developers/docs/resources/user#leave-guild}
 */
export declare function leaveGuild(bot: Bot, guildId: BigString): Promise<void>;
