import type { Bot } from "../../../bot.js";
import { VoiceRegions } from "../../../transformers/voiceRegion.js";
import { Collection } from "../../../util/collection.js";
/**
 * Gets the list of available voice regions.
 *
 * @param bot - The bot instance to use to make the request.
 * @returns A collection of {@link VoiceRegions | VoiceRegion} objects assorted by voice region ID.
 */
export declare function getAvailableVoiceRegions(bot: Bot): Promise<Collection<string, VoiceRegions>>;
