import type { Bot } from "../../../bot.js";
import { VoiceRegions } from "../../../transformers/voiceRegion.js";
import { BigString } from "../../../types/shared.js";
import { Collection } from "../../../util/collection.js";
/**
 * Gets the list of voice regions for a guild.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild to get the voice regions for.
 * @returns A collection of {@link VoiceRegions | VoiceRegion} objects assorted by voice region ID.
 *
 * @see {@link https://discord.com/developers/docs/resources/guild#get-guild-voice-regions}
 */
export declare function getVoiceRegions(bot: Bot, guildId: BigString): Promise<Collection<string, VoiceRegions>>;
