import type { Bot } from "../../../bot.js";
import { BigString } from "../../../types/shared.js";
/**
 * Deletes an application command registered globally.
 *
 * @param bot - The bot instance to use to make the request.
 * @param commandId - The ID of the command to delete.
 *
 * @see {@link https://discord.com/developers/docs/interactions/application-commands#delete-global-application-command}
 */
export declare function deleteGlobalApplicationCommand(bot: Bot, commandId: BigString): Promise<void>;
