import type { Bot } from "../../../bot.js";
import { BigString } from "../../../types/shared.js";
/**
 * Deletes an application command registered in a guild.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild to delete the command from.
 * @param commandId - The ID of the command to delete from the guild.
 *
 * @see {@link https://discord.com/developers/docs/interactions/application-commands#delete-guild-application-command}
 */
export declare function deleteGuildApplicationCommand(bot: Bot, commandId: BigString, guildId: BigString): Promise<void>;
