import type { Bot } from "../../../bot.js";
import { ApplicationCommandPermission } from "../../../transformers/applicationCommandPermission.js";
import { BigString } from "../../../types/shared.js";
/**
 * Gets the permissions of a guild application command.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild the command is registered in.
 * @param commandId - The ID of the command to get the permissions of.
 * @returns An instance of {@link ApplicationCommandPermission}.
 *
 * @see {@link https://discord.com/developers/docs/interactions/application-commands#get-application-command-permissions}
 */
export declare function getApplicationCommandPermission(bot: Bot, guildId: BigString, commandId: BigString): Promise<ApplicationCommandPermission>;
