import type { Bot } from "../../../bot.js";
import { ApplicationCommandPermission } from "../../../transformers/applicationCommandPermission.js";
import { BigString } from "../../../types/shared.js";
import { Collection } from "../../../util/collection.js";
/**
 * Gets the permissions of all application commands registered in a guild by the ID of the guild.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild to get the permissions objects of.
 * @returns A collection of {@link ApplicationCommandPermission} objects assorted by command ID.
 *
 * @see {@link https://discord.com/developers/docs/interactions/application-commands#get-guild-application-command-permissions}
 */
export declare function getApplicationCommandPermissions(bot: Bot, guildId: BigString): Promise<Collection<bigint, ApplicationCommandPermission>>;
