import type { Bot } from "../../../bot.js";
import { ApplicationCommand } from "../../../transformers/applicationCommand.js";
import { Collection } from "../../../util/collection.js";
/**
 * Gets the list of your bot's global application commands.
 *
 * @param bot - The bot instance to use to make the request.
 * @returns A collection of {@link ApplicationCommand} objects assorted by command ID.
 *
 * @see {@link https://discord.com/developers/docs/interactions/application-commands#get-global-application-commands}
 */
export declare function getGlobalApplicationCommands(bot: Bot): Promise<Collection<bigint, ApplicationCommand>>;
