import type { Bot } from "../../../bot.js";
import { ApplicationCommand } from "../../../transformers/applicationCommand.js";
import { BigString } from "../../../types/shared.js";
/**
 * Gets a guild application command by its ID.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild the command is registered in.
 * @param commandId - The ID of the command to get.
 * @returns An instance of {@link ApplicationCommand}.
 *
 * @see {@link https://discord.com/developers/docs/interactions/application-commands#get-guild-application-command}
 */
export declare function getGuildApplicationCommand(bot: Bot, commandId: BigString, guildId: BigString): Promise<ApplicationCommand>;
