import type { Bot } from "../../../bot.js";
import { ApplicationCommand } from "../../../transformers/applicationCommand.js";
import { BigString } from "../../../types/shared.js";
import { Collection } from "../../../util/collection.js";
/**
 * Gets the list of application commands registered by your bot in a guild.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild the commands are registered in.
 * @returns A collection of {@link ApplicationCommand} objects assorted by command ID.
 *
 * @see {@link https://discord.com/developers/docs/interactions/application-commands#get-global-application-commandss}
 */
export declare function getGuildApplicationCommands(bot: Bot, guildId: BigString): Promise<Collection<bigint, ApplicationCommand>>;
