import type { Bot } from "../../bot.js";
import { Channel } from "../../transformers/channel.js";
import { BigString } from "../../types/shared.js";
/**
 * Gets or creates a DM channel with a user.
 *
 * @param bot - The bot instance to use to make the request.
 * @param userId - The ID of the user to create the DM channel with.
 * @returns An instance of {@link Channel}.
 *
 * @see {@link https://discord.com/developers/docs/resources/user#create-dm}
 */
export declare function getDmChannel(bot: Bot, userId: BigString): Promise<Channel>;
