import type { Bot } from "../../bot.js";
import { Member } from "../../transformers/member.js";
import { BigString } from "../../types/shared.js";
/**
 * Gets the member object by user ID.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild to get the member object for.
 * @param userId - The ID of the user to get the member object for.
 * @returns An instance of {@link Member}.
 *
 * @see {@link https://discord.com/developers/docs/resources/guild#get-guild-member}
 */
export declare function getMember(bot: Bot, guildId: BigString, userId: BigString): Promise<Member>;
