import type { Bot } from "../../bot.js";
import { Template } from "../../transformers/template.js";
import { BigString } from "../../types/shared.js";
/**
 * Synchronises a template with the current state of a guild.
 *
 * @param bot - The bot instance to use to make the request.
 * @param guildId - The ID of the guild to synchronise a template of.
 * @returns An instance of the edited {@link Template}.
 *
 * @remarks
 * Requires the `MANAGE_GUILD` permission.
 *
 * Fires a _Guild Update_ gateway event.
 *
 * @see {@link https://discord.com/developers/docs/resources/guild-template#get-guild-templates}
 */
export declare function syncGuildTemplate(bot: Bot, guildId: BigString, templateCode: string): Promise<Template>;
