import type { Bot } from "../../bot.js";
import { Webhook } from "../../transformers/webhook.js";
import { BigString } from "../../types/shared.js";
/**
 * Gets a webhook by its ID.
 *
 * @param bot - The bot instance to use to make the request.
 * @param webhookId - The ID of the webhook to get.
 * @returns An instance of {@link Webhook}.
 *
 * @remarks
 * Requires the `MANAGE_WEBHOOKS` permission.
 *
 * @see {@link https://discord.com/developers/docs/resources/webhook#get-webhook}
 */
export declare function getWebhook(bot: Bot, webhookId: BigString): Promise<Webhook>;
