import "../../_dnt.polyfills.js";
export declare enum LogLevels {
    Debug = 0,
    Info = 1,
    Warn = 2,
    Error = 3,
    Fatal = 4
}
export declare function logger({ logLevel, name, }?: {
    logLevel?: LogLevels;
    name?: string;
}): {
    log: (level: LogLevels, ...args: any[]) => void;
    setLevel: (level: LogLevels) => void;
    debug: (...args: any[]) => void;
    info: (...args: any[]) => void;
    warn: (...args: any[]) => void;
    error: (...args: any[]) => void;
    fatal: (...args: any[]) => void;
};
export declare const log: {
    log: (level: LogLevels, ...args: any[]) => void;
    setLevel: (level: LogLevels) => void;
    debug: (...args: any[]) => void;
    info: (...args: any[]) => void;
    warn: (...args: any[]) => void;
    error: (...args: any[]) => void;
    fatal: (...args: any[]) => void;
};
export declare const createLogger: typeof logger;
export default log;
