import { Bot } from "../bot.js";
import { DiscordScheduledEvent } from "../types/discord.js";
export declare function transformScheduledEvent(bot: Bot, payload: DiscordScheduledEvent): {
    image?: bigint | undefined;
    description?: string | undefined;
    location?: string | undefined;
    channelId?: bigint | undefined;
    scheduledEndTime?: number | undefined;
    entityId?: bigint | undefined;
    creator?: {
        avatar?: bigint | undefined;
        locale?: string | undefined;
        flags?: import("../types/shared.js").UserFlags | undefined;
        email?: string | undefined;
        premiumType?: import("../types/shared.js").PremiumTypes | undefined;
        publicFlags?: import("../types/shared.js").UserFlags | undefined;
        discriminator: string;
        id: bigint;
        username: string;
        toggles: import("./mod.js").UserToggles;
    } | undefined;
    id: bigint;
    guildId: bigint;
    name: string;
    status: import("../types/shared.js").ScheduledEventStatus;
    creatorId: bigint;
    scheduledStartTime: number;
    privacyLevel: import("../types/shared.js").ScheduledEventPrivacyLevel;
    entityType: import("../types/shared.js").ScheduledEventEntityType;
    userCount: number;
};
export interface ScheduledEvent extends ReturnType<typeof transformScheduledEvent> {
}
