import { Bot } from "../bot.js";
import { DiscordWebhook } from "../types/discord.js";
export declare function transformWebhook(bot: Bot, payload: DiscordWebhook): {
    avatar?: bigint | undefined;
    guildId?: bigint | undefined;
    user?: {
        avatar?: bigint | undefined;
        locale?: string | undefined;
        flags?: import("../types/shared.js").UserFlags | undefined;
        email?: string | undefined;
        premiumType?: import("../types/shared.js").PremiumTypes | undefined;
        publicFlags?: import("../types/shared.js").UserFlags | undefined;
        discriminator: string;
        id: bigint;
        username: string;
        toggles: import("./mod.js").UserToggles;
    } | undefined;
    url?: string | undefined;
    applicationId?: bigint | undefined;
    channelId?: bigint | undefined;
    token?: string | undefined;
    sourceGuild?: {
        icon?: bigint | undefined;
        id: bigint;
        name: string;
    } | undefined;
    sourceChannel?: {
        id: bigint;
        name: string;
    } | undefined;
    id: bigint;
    type: import("../types/shared.js").WebhookTypes;
    name: string;
};
export interface Webhook extends ReturnType<typeof transformWebhook> {
}
